#pragma once

#include <tchar.h>
#include <vector>

namespace tipcommon
{
	struct Element
	{
		enum Type
		{
			ResourceFileName,
			Version,
			ServerInfo,
		};
	};

	struct Locale
	{
		enum Type
		{
			Korean,
			English,
			Japanese,
			Chinese,
		};
	};

	class ConfigXmlParser
	{
	public:
		static BOOL GetURL(LPCTSTR target, LPCTSTR configxml_filename, Element::Type element, TCHAR* url, int urllen, BOOL bIncludePath = FALSE, Locale::Type locale = Locale::Korean);
	};
};